### Function Macro

# GLib hook_append

since: 2.0

#### Declaration

    #define g_hook_append (
      hook_list,
      hook
    )

#### Description

Appends a `GHook` onto the end of a `GHookList`.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`hook_list`

  Type: `-`

  A `GHookList`.

`hook`

  Type: `-`

  The `GHook` to add to the end of `hook_list`.